precision mediump float;

uniform vec4 u_Color;

varying float v_Prominence;

void main(void) {
    float distance = length(gl_PointCoord - vec2(0.5, 0.5)) + 0.5;
    float intensity = 1.0 - distance * distance * distance;
    gl_FragColor = vec4(u_Color.xyz, intensity * (v_Prominence * 0.5 + 0.5));
}