attribute vec3 a_Pos;

uniform mat4 u_MvpMatrix;
uniform float u_DensityFactor;

varying float v_Prominence;

void main() {
    vec4 pos = vec4(a_Pos.xy, 0.0, 1.0);
    v_Prominence = a_Pos.z;
    gl_Position = u_MvpMatrix * pos;
    gl_PointSize = 15.0 * (a_Pos.z * 0.5 + 0.5) * u_DensityFactor;
}